Get a session by ID
Returns a session by ID.
Authentication
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Path parameters
sessionId
sessionId
Response
result
agentDefinitionId
The agent definition ID
status
Current session status
createdAt
Session creation timestamp
createdBy
User who created the session
sessionId
The session ID assigned by AEE
agentSnapshot
Snapshot of the agent configuration at session start time
startedAt
Session start timestamp (engine-authoritative)
endTime
Session end timestamp
duration
Session duration in milliseconds
provider
Infrastructure provider (e.g. aws, gcp)
modelVersion
Model version used
sessionType
Session type
trigger
Trigger context for trigger-fired sessions. source is the name of the firing user for manual triggers, or set as the name of the trigger for all other trigger types.
canceledBy
User who canceled the session
errorMessage
Error message if session failed
errorCategory
Error category if session failed
durationMs
Session duration in milliseconds
iterationCount
Number of inference iterations
toolGroupCount
Number of tool groups dispatched
totalToolCallCount
Total number of tool calls made
totalInputTokens
Total input tokens consumed across all inferences
totalOutputTokens
Total output tokens produced across all inferences
inputs
Inputs passed when starting the session
Errors
500
Internal Server Error